[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStreamAdapter.Destroy

Free the TStreamAdapter instance

## Declaration

Source position: classesh.inc line 1167

`public destructor TStreamAdapter.Destroy; override;`

## Description

Explicitly free the TStreamAdapter instance. Normally, this is done automatically if a reference to the IStream interface is freed.